From 1a361eba58f899b55978d500a6be8f55bdb005b0 Mon Sep 17 00:00:00 2001
From: Sascha Wildner <saw@online.de>
Date: Tue, 18 Mar 2014 21:37:17 +0100
Subject: [PATCH] usb4bsd: Sync run(4) with FreeBSD.

---
 etc/devd/usb.conf            |   34 +-
 share/man/man4/run.4         |   30 +-
 sys/bus/u4b/wlan/if_run.c    | 1826 ++++++++++++++++++++++++++++++++------
 sys/bus/u4b/wlan/if_runreg.h | 1998 +++++++++++++++++++++++++-----------------
 sys/bus/u4b/wlan/if_runvar.h |   62 +-
 5 files changed, 2868 insertions(+), 1082 deletions(-)

diff --git a/etc/devd/usb.conf b/etc/devd/usb.conf
index 3a43c1f..10c5038 100644
--- a/etc/devd/usb.conf
+++ b/etc/devd/usb.conf
@@ -487,6 +487,14 @@ nomatch 32 {
 	match "bus" "uhub[0-9]+";
 	match "mode" "host";
 	match "vendor" "0x050d";
+	match "product" "0x1103";
+	action "kldload -n if_run";
+};
+
+nomatch 32 {
+	match "bus" "uhub[0-9]+";
+	match "mode" "host";
+	match "vendor" "0x050d";
 	match "product" "0x1203";
 	action "kldload -n ubsa";
 };
@@ -535,7 +543,7 @@ nomatch 32 {
 	match "bus" "uhub[0-9]+";
 	match "mode" "host";
 	match "vendor" "0x050d";
-	match "product" "0x935a";
+	match "product" "(0x935a|0x935b)";
 	action "kldload -n if_run";
 };
 
@@ -662,6 +670,14 @@ nomatch 32 {
 nomatch 32 {
 	match "bus" "uhub[0-9]+";
 	match "mode" "host";
+	match "vendor" "0x0586";
+	match "product" "0x3421";
+	action "kldload -n if_run";
+};
+
+nomatch 32 {
+	match "bus" "uhub[0-9]+";
+	match "mode" "host";
 	match "vendor" "0x058f";
 	match "product" "0x9720";
 	action "kldload -n uplcom";
@@ -1167,6 +1183,14 @@ nomatch 32 {
 	match "bus" "uhub[0-9]+";
 	match "mode" "host";
 	match "vendor" "0x0b05";
+	match "product" "0x17ad";
+	action "kldload -n if_run";
+};
+
+nomatch 32 {
+	match "bus" "uhub[0-9]+";
+	match "mode" "host";
+	match "vendor" "0x0b05";
 	match "product" "(0x4200|0x4201|0x4202|0x420f|0x9200|0x9202)";
 	action "kldload -n uipaq";
 };
@@ -1903,7 +1927,7 @@ nomatch 32 {
 	match "bus" "uhub[0-9]+";
 	match "mode" "host";
 	match "vendor" "0x148f";
-	match "product" "(0x2770|0x2870|0x3070|0x3071|0x3072|0x3370|0x3572|0x8070)";
+	match "product" "(0x2770|0x2870|0x2878|0x3070|0x3071|0x3072|0x3370|0x3572|0x3573|0x5370|0x5572|0x8070)";
 	action "kldload -n if_run";
 };
 
@@ -2391,7 +2415,7 @@ nomatch 32 {
 	match "bus" "uhub[0-9]+";
 	match "mode" "host";
 	match "vendor" "0x2001";
-	match "product" "(0x3c09|0x3c0a)";
+	match "product" "(0x3c09|0x3c0a|0x3c15|0x3c1a|0x3c1b|0x3c1f)";
 	action "kldload -n if_run";
 };
 
@@ -2639,7 +2663,7 @@ nomatch 32 {
 	match "bus" "uhub[0-9]+";
 	match "mode" "host";
 	match "vendor" "0x7392";
-	match "product" "(0x7711|0x7717|0x7718)";
+	match "product" "(0x7711|0x7717|0x7718|0x7733)";
 	action "kldload -n if_run";
 };
 
@@ -2793,5 +2817,5 @@ nomatch 32 {
 	action "kldload -n umass";
 };
 
-# 1401 USB entries processed
+# 1414 USB entries processed
 
